Cyberduck Mountain Duck CLI

#3847 closed defect (fixed)

upload/download not possible after upgrade to Snow Leopard and 3.3b4

Reported by: matthias@… Owned by: dkocher
Priority: highest Milestone: 3.3
Component: ftp Version: 3.3b4
Severity: critical Keywords:
Cc: Architecture:
Platform:

Description

I get a lot of time out errors when trying to upload or download any size files to my ftp site. Not a single transfer is successful. Files that have been attempted for an upload have been left with "0 Byte" on the FTP site. The configuration has not changed (same router, same ftp site, same web hoster, same ISP) and everything was working in the last version Cyberduck before upgrading to Snow Leopard. Any ideas?

Change History (5)

comment:1 Changed on Oct 27, 2009 at 1:53:03 PM by Chuck Burt

I am also having this issue and get the following exception:

10/27/09 9:48:43 AM [0x0-0x42042].ch.sudo.cyberduck[447] Exception in thread "Background" java.util.ConcurrentModificationException 10/27/09 9:48:43 AM [0x0-0x42042].ch.sudo.cyberduck[447] at java.util.AbstractList$Itr.checkForComodification(AbstractList.java:372) 10/27/09 9:48:43 AM [0x0-0x42042].ch.sudo.cyberduck[447] at java.util.AbstractList$Itr.next(AbstractList.java:343) 10/27/09 9:48:43 AM [0x0-0x42042].ch.sudo.cyberduck[447] at ch.cyberduck.core.Transfer.prepare(Transfer.java:545) 10/27/09 9:48:43 AM [0x0-0x42042].ch.sudo.cyberduck[447] at ch.cyberduck.core.Transfer.transfer(Transfer.java:506) 10/27/09 9:48:43 AM [0x0-0x42042].ch.sudo.cyberduck[447] at ch.cyberduck.core.Transfer.start(Transfer.java:603) 10/27/09 9:48:43 AM [0x0-0x42042].ch.sudo.cyberduck[447] at ch.cyberduck.ui.cocoa.CDTransferController$3.run(CDTransferController.java:605) 10/27/09 9:48:43 AM [0x0-0x42042].ch.sudo.cyberduck[447] at ch.cyberduck.ui.AbstractController$1.run(AbstractController.java:70)

comment:2 Changed on Oct 27, 2009 at 1:54:39 PM by Chuck Burt

Using preview is good. Sorry about that!

10/27/09 9:48:43 AM	[0x0-0x42042].ch.sudo.cyberduck[447]	Exception in thread "Background" java.util.ConcurrentModificationException
10/27/09 9:48:43 AM	[0x0-0x42042].ch.sudo.cyberduck[447]		at java.util.AbstractList$Itr.checkForComodification(AbstractList.java:372)
10/27/09 9:48:43 AM	[0x0-0x42042].ch.sudo.cyberduck[447]		at java.util.AbstractList$Itr.next(AbstractList.java:343)
10/27/09 9:48:43 AM	[0x0-0x42042].ch.sudo.cyberduck[447]		at ch.cyberduck.core.Transfer.prepare(Transfer.java:545)
10/27/09 9:48:43 AM	[0x0-0x42042].ch.sudo.cyberduck[447]		at ch.cyberduck.core.Transfer.transfer(Transfer.java:506)
10/27/09 9:48:43 AM	[0x0-0x42042].ch.sudo.cyberduck[447]		at ch.cyberduck.core.Transfer.start(Transfer.java:603)
10/27/09 9:48:43 AM	[0x0-0x42042].ch.sudo.cyberduck[447]		at ch.cyberduck.ui.cocoa.CDTransferController$3.run(CDTransferController.java:605)
10/27/09 9:48:43 AM	[0x0-0x42042].ch.sudo.cyberduck[447]		at ch.cyberduck.ui.AbstractController$1.run(AbstractController.java:70)

comment:3 Changed on Oct 27, 2009 at 3:51:49 PM by dkocher

  • Milestone set to 3.3

Can you please confirm you still see this issue in the latest nightly build from http://update.cyberduck.ch/nightly/.

comment:4 Changed on Oct 28, 2009 at 5:30:54 AM by matthias@…

I have tried with Version 3.3b5 (5512). Both upload and download function properly. Thanks

comment:5 Changed on Oct 28, 2009 at 7:52:18 AM by yla

  • Resolution set to fixed
  • Status changed from new to closed
Note: See TracTickets for help on using tickets.
swiss made software